Firefox 52 ha iniziato la fase di roll out da un paio di giorni introducendo una serie di modifiche e novità, per maggiori dettagli vi rimandiamo al nostro articolo, lo trovate qui.

Tra le novità c’è la decisione da parte degli sviluppatori di disabilitare di default il supporto per NPAPI. Questa è un’ottima cosa visto che la tecnologia NPAPI esiste da vent’anni però essa è ancora tremendamente utilizzata (Flash, Silverlight, Java…).

Molti siti web usano ancora flash pertanto ad alcuni di voi potrebbe tornare utile andare a riabilitare NPAPI, vi spieghiamo come dovete procedere.

Riabilitare NPAPI in Firefox 52

npapi

C’è una strada abbastanza semplice che va a bypassare l’impostazione di default di Firefox. Nella stringa di ricerca di Firefox, dove solitamente digitate www.lffl.org, date il comando about:config  e successivamente aggiungete una nuova stringa "plugin.load_flash_only" settandola falsa. Successivamente riavviate il browser dopodichè tutto dovrebbe tornare a funzionare come prima.

Questa soluzione è comunque temporanea, in Firefox 53 gli sviluppatori molto probabilmente rimuoveranno questo workaround.

sharing-caring

Vi ricordiamo che seguirci è molto semplice: tramite la pagina Facebook ufficiale, tramite il nostro canale notizie Telegram e la nostra pagina Google Plus.

Qui potrete trovare le varie notizie da noi riportate sul blog. È possibile, inoltre, commentare, condividere e creare spunti di discussione inerenti l’argomento.

  • io

    Ho letto su PI che Flash funzionerà correttamente su questa versione e senza modificare nulla.

    • infatti non capisco che bisogno ci sia di riabilitare NPAPI.
      alla fine l’unico plugin NPAPI di cui uno potrebbe aver bisogno è flash (che io ormai non uso più), ma flash è ancora abilitato.

      • io

        Flash lo abilito alla bisogna quando proprio serve ma in generale non serve quasi mai.

        Forse a qualcuno serve la notizia data da ARS tecnica (mi pare) che l’ESR avrà l’NPAPI abilitato di default. L’ESR uscirà tra un po’ di tempo e sarà basato sulla versione 52. Mi pare che l’attuale versione sia basata sulla 45.

        • si l’attuale è la 45, la prossima esr sarà questa versione 52 e quella dopo la 59… esce una nuova esr sempre ogni 7 release

      • luX0r.reload

        Beh a me e a molti altri ha creato e sta creando molti problemi aver disabilitato il supporto alle JVM.
        Un esempio banale è l’accesso tramite browser alle IP Cam, che funziona con Java, sia esso in versione Oracle che Open.

  • Chi usa gnome-shell e installa le estensioni di GNOME con Firefox ora dovrà installare l’apposita estensione di Firefox e la chrome-shell-integration, ossia il plugin con cui si installano le estensioni di GNOME in Chrome/ium.
    Il vecchio plugin di Firefox continuerà ad essere utilizzato da epiphany.

No more articles